<?php
/**
 * $Horde: nic/whois.php,v 1.21 2005/01/03 14:35:21 jan Exp $
 *
 * Copyright 2000-2005 Charles J. Hagenbuch, <chuck@horde.org>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://www.horde.org/asl.php.
 */

@define('NIC_BASE', dirname(__FILE__));
require_once NIC_BASE . '/lib/base.php';
require_once NIC_BASE . '/lib/Whois.php';

$title = Nic::getServiceName('whois');
require NIC_TEMPLATES . '/common-header.inc';
require NIC_TEMPLATES . '/menu.inc';

$whois = Util::getFormData('whois');
if ($whois) {
    require_once 'Horde/Text/Filter.php'; 
    $results = Text_Filter::filter(whois($whois), 'text2html', array('parselevel' => TEXT_HTML_MICRO));
}

require NIC_TEMPLATES . '/whois/whois.inc';
require $registry->get('templates', 'horde') . '/common-footer.inc';
