-- $Horde: nic/scripts/sql/nic_status.sql,v 1.2 2004/09/21 03:34:03 chuck Exp $

CREATE TABLE nic_status (
    status_hostname     VARCHAR(50) NOT NULL DEFAULT '',
    status_subsystem    VARCHAR(50) NOT NULL DEFAULT '',
    status_status       INT NOT NULL DEFAULT 0,
    status_time         INT NOT NULL DEFAULT 0,
    status_comment      TEXT,
--
    PRIMARY KEY (status_hostname, status_subsystem, status_time)
);

CREATE INDEX status_time_idx ON nic_status (status_time);
CREATE INDEX status_subsystem_idx ON nic_status (status_subsystem);
CREATE INDEX status_hostname_idx ON nic_status (status_hostname);

GRANT SELECT, INSERT, UPDATE, DELETE ON nic_status TO horde;
